> For the complete documentation index, see [llms.txt](https://docs.coresignal.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coresignal.com/api-introduction/webhooks/subscription-simulation.md).

# Subscription Simulation

Test subscription webhooks by sending a simulated event to your callback URL.

{% columns %}
{% column width="16.666666666666664%" %}
URL:
{% endcolumn %}

{% column %}
<https://api.coresignal.com/cdapi/v2/subscriptions/simulate>
{% endcolumn %}
{% endcolumns %}

***

Test out our subscription functionality using `simulate` endpoint by creating a fake subscription to receive a webhook example to your callback URL.

## Functionality

The subscription simulation endpoint will allow you to send a test request using your webhook.

As we typically send webhooks once a week, you might have to wait a week to see how our subscription feature works and what kind of payload you receive.

Using the simulation endpoint, you can see how webhooks work and what kind of payload you get the same day.

The endpoint will allow to send one request per second.

## Usage

1. Paste in your webhook URL instead of `{your_webhook_url}` and your API Key in the request template:

{% code title="Template" %}

```json
curl -X 'POST' \
  'https://api.coresignal.com/cdapi/v2/subscriptions/simulate' \
  -H 'accept: application/json' \
  -H 'apikey: {API Key}' \
  -H 'Content-Type: application/json' \
  -d '{
  "webhook_url": "{your_webhook_url}"
}'
```

{% endcode %}

2. Send your request using an application that supports cURL requests (e.g., Postman).
3. You will see the following response:

```json
{
  "message": "Subscriptions webhook simulation initiated"
}
```

4. You should get an example webhook to your URL after a few minutes, e.g.,

```json
{
  "member_id": 18330245,
  "change_type": "changed"
}
```

The text in the webhook payload is randomized. You will see a random `member_id` and `change_type`.

One of the statuses for change types will be sent. Supported statuses are listed in the main [Webhooks](/api-introduction/webhooks.md) topic.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.coresignal.com/api-introduction/webhooks/subscription-simulation.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
